# Generated from gurney_client-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gurney_client

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Gurney is a small tool to extract yarn and RubyGems dependencies from project files and report them to a web api
License: MIT
URL: https://github.com/makandra/gurney
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Gurney is a small tool to extract yarn and RubyGems dependencies from project
files and report them to a web api.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/gurney
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/exe
%{gem_instdir}/git_hook_sample
%{gem_instdir}/gurney.yml.sample
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/gurney.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 0.2.1-1
- Initial package
